Skip to content

Get video streams for entity

GET
/v3/video/{entityId}
curl --request GET \
--url https://us-gov.legion.picogrid.com/v3/video/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0

Retrieves all video stream configurations associated with a specific entity

entityId
required
string format: uuid

Successful response

Media typeapplication/json
object
streams
required
Array<object>
object
created_at
required
string
entity_id
required
string format: uuid
id
required
string format: uuid
is_active
required
boolean
metadata
object
organization_id
required
string format: uuid
playback_url
string
protocol
required
string
Allowed values: rtsp rtmp hls webrtc srt
publish_url
string
stream_name
required
string
updated_at
required
string
Example
{
"streams": [
{
"created_at": "2024-01-15T11:00:00Z",
"entity_id": "d4e5f6a1-b2c3-7890-1234-567890abcdef",
"is_active": "true",
"metadata": "sample_value",
"organization_id": "550e8400-e29b-41d4-a716-446655440000",
"protocol": "rtsp",
"stream_name": "drone_primary_feed",
"updated_at": "2024-03-11T16:00:00Z"
}
]
}

Bad Request

Media typeapplication/json
object
category
string
code
number
details
Array<object>
object
field
required
string
issue
required
string
message
string
status
string
timestamp
string
trace_id
string
Example
{
"code": "400",
"details": "sample_value",
"message": "Request cannot be processed due to invalid input",
"status": "error",
"timestamp": "2025-01-15T14:32:45Z",
"trace_id": "req_2J9K8L7M6N5P4Q3R"
}

Unauthorized

Media typeapplication/json
object
category
string
code
number
details
Array<object>
object
field
required
string
issue
required
string
message
string
status
string
timestamp
string
trace_id
string
Example
{
"code": "401",
"details": "sample_value",
"message": "Authentication credentials are missing or invalid",
"status": "error",
"timestamp": "2025-01-15T14:32:45Z",
"trace_id": "req_2J9K8L7M6N5P4Q3R"
}

Forbidden

Media typeapplication/json
object
category
string
code
number
details
Array<object>
object
field
required
string
issue
required
string
message
string
status
string
timestamp
string
trace_id
string
Example
{
"code": "403",
"details": "sample_value",
"message": "Access denied: insufficient permissions for this resource",
"status": "error",
"timestamp": "2025-01-15T14:32:45Z",
"trace_id": "req_2J9K8L7M6N5P4Q3R"
}

Not Found

Media typeapplication/json
object
category
string
code
number
details
Array<object>
object
field
required
string
issue
required
string
message
string
status
string
timestamp
string
trace_id
string
Example
{
"code": "404",
"details": "sample_value",
"message": "The requested resource could not be found",
"status": "error",
"timestamp": "2025-01-15T14:32:45Z",
"trace_id": "req_2J9K8L7M6N5P4Q3R"
}

Internal Server Error

Media typeapplication/json
object
category
required

The category of the error

string
code
required

The HTTP status code

number
details
required

Additional details about the error

Array<object>
object
field

The field that caused the error

string
issue

The specific issue with the field

string
message
required

A human-readable error message

string
status
required

The status of the response, always ‘error’ for error responses

string
timestamp
required

The timestamp when the error occurred

string format: date-time
trace_id
required

A unique identifier for tracing the error

string format: uuid
Example
{
"category": "server_error",
"code": "500",
"details": [
{
"field": "field_name",
"issue": "Field validation issue"
}
],
"message": "Internal Server Error",
"status": "error",
"timestamp": "2024-03-15T10:30:00Z",
"trace_id": "b7c5e4d3-a2b1-4f0e-8d9c-1a2b3c4d5e6f"
}

Version 3.0.0 · commit 0771262